Generate Access Token

Use this API to generate an OAuth access token using the client_credentials grant type.

🗒

Things to Know

  • Client credentials can be generated from within Global Settings in the OneTrust application. For more information, see Managing OAuth 2.0 Client Credentials.
  • Use the client_id and client_secret to generate the OAuth access token using this API.
  • A maximum of 500 OAuth 2.0 client credentials can be created per account.
Body Params
string
enum
required
Defaults to client_credentials

The OAuth grant type. Always use 'client_credentials'.

Allowed:
string
required
Defaults to 3d8efc3b94ed49628482eb2ab5e3bc8g

Your OneTrust client credential identifier.

string
required
Defaults to Ycx7HNUbHWyPBZvT4WhjYyIvnEdQL3d4

Your OneTrust client credential secret key.

Responses

400

Bad Request

Possible Reasons:

  • Invalid grant_type
401

Unauthorized

Possible Reasons:

  • Invalid client credentials
403

Forbidden

404

Not Found

500

Internal Server Error

Language
URL
LoadingLoading…
Response
Choose an example:
application/json
*/*